define(['require', 'app'],
    function(require, APP) {
        /**
         * Controller for ShowMapaRutasTecnico generated by Appery.io
         * @module ShowMapaRutasTecnico
         */
        APP.controller('ShowMapaRutasTecnicoController', ['$scope', 'Apperyio', ShowMapaRutasTecnicoController]);

        function ShowMapaRutasTecnicoController($scope, Apperyio) {
            // user controller variables
            $scope.posiciones = Apperyio.EntityAPI('Strings');
            // user controller functions
            /**
             * @function init
             */
            $scope.init = function() {
                $scope.empresa = JSON.parse(localStorage.getItem("companyData"));
                $scope.codigoUsuario = Apperyio.get('userManager').operatorId;
                $scope.nombreUsuario = Apperyio.get('userManager').operatorName;
                $scope.usernameUsuario = Apperyio.get('userManager').operatorUsername;
                showPositionsOperator();
            };
            /**
             * @function showPositionsOperator
             */
            function showPositionsOperator() {
                var requestData = {};
                requestData = (function mapping8066($scope) {
                    var requestData = {};
                    requestData.params = {};
                    requestData.params.where = {
                        "$and": [{
                                "usuario": $scope.usernameUsuario
                            },
                            {
                                "idCliente": $scope.empresa.idCliente
                            }
                        ]
                    };
                    requestData.params.sort = "fechaReporte";
                    return requestData;
                    /*|button_mapping|onbeforesend|C52E5193-46B1-4A59-D7BE-7D666815D628||8066|*/
                })($scope);
                // read more about using rest services: https://links.appery.io/ve-snippet-rest
                Apperyio.get("Tech1_GPS_query_service")(requestData).then( /*|service_bookmark|bookmark|C52E5193-46B1-4A59-D7BE-7D666815D628||1238|*/
                    function(success) { // success callback
                        (function mapping3597(success, $scope) {
                            var posiciones_scope = $scope.posiciones;
                            for (var i = 0, l = success.data.length; i < l; i++) {
                                _.set(posiciones_scope, '[' + i + '].texto1', success.data[i].posHist);
                            }
                            $scope.posiciones = posiciones_scope;
                            /*|button_mapping|onsuccess|C52E5193-46B1-4A59-D7BE-7D666815D628||3597|*/
                        })(success, $scope);
                        //Unir todos los puntos
                        $scope.listaPosicionesGps = [];
                        for (i = 0; i < $scope.posiciones.length; ++i) {
                            var arrTempo = JSON.parse($scope.posiciones[i].texto1);
                            $scope.listaPosicionesGps = $scope.listaPosicionesGps.concat(arrTempo);
                        }
                    },
                    function(error) { // callback to handle request error
                    },
                    function(notify) { // notify callback, can fire few times
                    });
            };
        }
    });